function PanelDessin=CreePanelDessin(PanelDessin)

% this function wil create an empty panel with standard axes  and size and the same
% scale as the main figure
% the UIPanel object is child of a figure
% the drawing cam be larger than the panel and has a specifc axe in witch all
% the elements will be drawn
% 
% Input ; Objet PanelDessin
% PanelDessin.Name    (string)   Name of the Styructure
% PanelDessin.ParentFigure       Handle of the parent figure
% PanelDessin.WithHighDessin(1)         With of the drawing   (largeur du dessin
% PanelDessin.WithHighDessin(2)
% PanelDessin.PositionPanel     Position of the panel in the figure
%                             ex [50 50] 
%
%
% outpput;  Objet   PanelDessin
%     sames fields plus
% PanelDessin.Hpanel              handle of the panel
% PanelDessin.HaxePanel           handle of the axes of the panel 
% PanelDessin.Haxedessin          handle of the axes of the drawing  
%         (all elements of the drawing should have this axez as parent
% PanelDessin.HSliderHor          handle of the horizontal slider
% PanelDessin.HSliderVer          handle of the Vertical slider

global WidthFigure HighFigure;

LargeurPanelState=PanelDessin.WithHighPanel(1);    % dimension panel selon coordonne image 
HauteurPanelState=PanelDessin.WithHighPanel(2);
CoulFondPanel='w';
TitlePanelState='';
EpAscenceur=15;         % Epaisseur Standard du slider de l'ascenceur

LargeurAxeDessin=LargeurPanelState;
HauteurAxeDessin=HauteurPanelState;

 % dimension de l'axe du dessin normalis&es (0  1)   : initialisation
  left=0;
  bottom=0;
  width=1;
  high=1;
  
  
if PanelDessin.WithHighDessin(1)>LargeurPanelState
    % il faut un ascenceur horizontal
    % dimension de l'axe du dessin normalis&es (0  1)
    % left=0;
    bottom=EpAscenceur/HauteurPanelState;        
    % width=1;
    high=(HauteurPanelState-EpAscenceur)/HauteurPanelState;
    HauteurAxeDessin=HauteurPanelState-EpAscenceur;
end



  
if PanelDessin.WithHighDessin(2)>HauteurPanelState
    % il faut un ascenceur vertical
    % dimension de l'axe du dessin normalis&es (0  1)
    % left=0;
    % bottom=0:        
    width=(LargeurPanelState-EpAscenceur)/LargeurPanelState;
    % high=1;
    LargeurAxelDessin=LargeurPanelState-EpAscenceur;
end

PositionAxeDessin=[left,bottom,width,high];      
PositionPanelState=[PanelDessin.PositionPanel(1,1)/WidthFigure PanelDessin.PositionPanel(1,2)/HighFigure LargeurPanelState/WidthFigure HauteurPanelState/HighFigure];   % coordonnes du panel dans le repere base figure

PanelDessin.Hpanel=uipanel('Title', TitlePanelState,'FontSize',12,...
             'BackgroundColor',CoulFondPanel,...
             'Position',PositionPanelState,'Parent',PanelDessin.ParentFigure);
         

  
  
if PanelDessin.WithHighDessin(1)>LargeurPanelState
    % creation asenceur horizontal  
   
    Hmajor_step=(LargeurPanelState/PanelDessin.WithHighDessin(1));
    Hminor_step=0.01;
    HSliderStep=[Hminor_step Hmajor_step];
       
    PanelDessin.HSliderHor=uicontrol('Style', 'slider',...
        'Min',0,'Max',PanelDessin.WithHighDessin(1)-LargeurPanelState,'Value',0,...
        'Position', [0 0 LargeurPanelState-EpAscenceur EpAscenceur],...
        'Parent',PanelDessin.Hpanel,...
        'SliderStep',HSliderStep);         
    
    
    CallBackAsHor=[PanelDessin.Name '=HorPanelSliding(' PanelDessin.Name ')'];
    set(PanelDessin.HSliderHor,'Callback', CallBackAsHor);   
    
end
  
  
  
if PanelDessin.WithHighDessin(2)>HauteurPanelState
     % creation asenceur vertical      
    Vmajor_step=(HauteurPanelState/PanelDessin.WithHighDessin(2));
    Vminor_step=0.01;
    VSliderStep=[Vminor_step Vmajor_step];

    
    CallBackAsVer='msgbox(''SliderV'')';
    PanelDessin.HSliderVer=uicontrol('Style', 'slider',...
        'Min',0,'Max',PanelDessin.WithHighDessin(2)-HauteurPanelState,'Value',0,...
        'Position', [LargeurPanelState-EpAscenceur EpAscenceur EpAscenceur HauteurPanelState-EpAscenceur],...
        'Parent',PanelDessin.Hpanel,...
        'SliderStep',VSliderStep);  
    
     CallBackAsVer=[PanelDessin.Name '=VerPanelSliding(' PanelDessin.Name ')'];
     set(PanelDessin.HSliderVer,'Callback', CallBackAsVer);   
    
end
PositionAxePanel=[0,0,1,1];       %  modifier pour diminuer la taille de l'paisseur de l'ascenceur  
PanelDessin.HaxePanel=axes ('Position',PositionAxePanel,'parent',PanelDessin.Hpanel,'Color','r');   %  creation axe fond blanc
set(PanelDessin.HaxePanel,'Xlim',[0,LargeurPanelState],'YLim',[0,HauteurPanelState],'ALimMode', 'manual');      % axe local au panel avec mme echelle que la figure generale= image


% il faut creer un panel pour le dessin afin de pouvoir y metre des
% uicontrols
PositionPanelDessin=PositionAxeDessin; 
CoulFondPanel='b';
PanelDessin.HDessin=uipanel('Title', TitlePanelState,'FontSize',12,...
             'BackgroundColor',CoulFondPanel,...
             'Position',PositionPanelDessin,'Parent',PanelDessin.Hpanel);

PanelDessin.HaxeDessin= axes ('Position',[0,0,1,1],'parent',PanelDessin.HDessin,'Color','g'); 

%LargeurAxeDessin=PanelDessin.WithHighPanel(1);
%HauteurAxeDessin=PanelDessin.WithHighPanel(2);

set(PanelDessin.HaxeDessin,'Xlim',[0,LargeurAxeDessin],'YLim',[0,HauteurAxeDessin],'ALimMode', 'manual');    
% Haxedessin=axes ('Position',[0,0,1,1],'parent',Hpanel,'Color','w');   %  creation axe fond blanc
% set(PanelDessin.HaxeDessin,'Xlim',[0,LargeurPanelState],'YLim',[0,HauteurPanelState],'ALimMode', 'manual');  


 
%  NewXlim=[ValeurSliderH, ValeurSliderH+LargeurPanel-LargeurSlider];
%   set(PanelDessin.HaxeDessin,'Xlim',NewXlim);


  


end     %function [Hpanel, Haxes]=CreePanelVideDessin(Hfigure,PositionPanel, WithDessin,HighDessin)


