function PanelDessin=VerPanelSliding(PanelDessin)
% This function is the callbacl of the vertical slider of a panel
% it will change the axeDessin vertical limits in order to show the desired part
% of the drawiong



   HauteurPanel= PanelDessin.WithHighPanel(2);
   ValeurSliderV=get(PanelDessin.HSliderVer,'value');
   PositionSliderV=get(PanelDessin.HSliderVer,'position');
   LargeurSlider=PositionSliderV(3);
   %NewYlim=[ValeurSliderV, ValeurSliderV+HauteurPanel];
   % set(PanelDessin.HaxeDessin,'Ylim',NewYlim);
   
   
   
   % NewXlim=[ValeurSliderH, ValeurSliderH+LargeurPanel];
   %set(PanelDessin.HaxeDessin,'Xlim',NewXlim);
   
   % modification de la position du Panel dessin pour deplacer le dessin et
   % les UIControl
   OldPosPanelDessin=get(PanelDessin.HDessin,'Position');
   Ydecal=-1*ValeurSliderV/PanelDessin.WithHighPanel(2);
   
   if PanelDessin.WithHighDessin(1)>PanelDessin.WithHighPanel(1)
       % il y a un ascensuer horizontal
       
       NewYlim=[ValeurSliderV, ValeurSliderV+HauteurPanel-LargeurSlider];
       YdecalavecSlider=Ydecal+LargeurSlider/HauteurPanel;
       HauteurPanelDessin=(1-LargeurSlider/PanelDessin.WithHighDessin(2))-Ydecal;
   else
       % Pas d' ascenseur  horizontal
       HauteurPanelDessin=1-Ydecal;
       NewYlim=[ValeurSliderH, ValeurSliderH+HauteurPanel];
       YdecalavecSlider=Ydecal;
   end
   
   
   NewPosPanelDessin=[OldPosPanelDessin(1) YdecalavecSlider OldPosPanelDessin(3) HauteurPanelDessin]    % la valeur 0.97 est ) corriger pour pouvoir changer la largeur de l'ascensceur
   %                                                                                    % et car il peut ne pas y avoir d'ascenceur vertical
   set(PanelDessin.HDessin,'Position',NewPosPanelDessin)
   
   
   set(PanelDessin.HaxeDessin,'Ylim',NewYlim);
   
end