
clear all; close all;clc;

InitFigure;

NomFigure='Provisory figure to check StatePanel with elevadors';

Hfigure=figure('position',[CoordX_Figure,CoordY_Figure,WidthFigure,HighFigure],'MenuBar','None', 'Color',ColorBackScreen1,'name',NomFigure);

% To create an axes

HaxesFigure=axes ('Position',[0,0,1,1]);


set(HaxesFigure,'Xlim',[0,WidthFigure],'YLim',[0,HighFigure]);
set(HaxesFigure,'color','none');

MonPanelDessin.Name='MonPanelDessin';
MonPanelDessin.ParentFigure=Hfigure;
MonPanelDessin.PositionPanel=[100,25];
MonPanelDessin.WithHighPanel=[500,500];
MonPanelDessin.WithHighDessin=[1300,800];

MonPanelDessin=CreePanelDessin(MonPanelDessin);


WithDessin=MonPanelDessin.WithHighDessin(1);
HighDessin=MonPanelDessin.WithHighDessin(2);

% creation de text avec coordonnes pour test et voir les depcement
PasX=100;
PasY=200;
for ix=[1:1:WithDessin/PasX+1]
    for iy=[1:1:HighDessin/PasY+1]
        PosUI_X=(ix-1)*PasX;
        PosUI_Y=(iy-1)*PasY;
        MonText=['T:' num2str(PosUI_X) ','  num2str(PosUI_Y)] ;
        text(PosUI_X,PosUI_Y,MonText,'parent',  MonPanelDessin.HaxeDessin);
    end
end

% creation de UIConrols avec coordonnes pour test


axes(MonPanelDessin.HaxeDessin);


for ix=[1:1:WithDessin/PasX+1]
    for iy=[1:1:HighDessin/PasY+1]
        PosUI_X=(ix-1)*PasX;
        PosUI_Y=(iy-1)*PasY;
        MonText=['Ctrl:' num2str(PosUI_X) ','  num2str(PosUI_Y)] ;
        hcontrol(ix,iy)=uicontrol('style','pushbutton','position',[PosUI_X,PosUI_Y,60,15],'Parent',MonPanelDessin.HDessin, 'string' , MonText);   

        % ligne Ci dessus le multiplicateur 0.96 n'est pas expliqu on a un
% souscio de cohrence d'axe entre les objet graphique et les UI control
% a l'intrieur du panel
    end
end




% fin du script



