function PanelDessin=HorPanelSliding(PanelDessin)
% This function is the callbacl of the Horizantel slider of a panel
% it will change the axeDessin horizantal limits in order to show the desired part
% of the drawing



   LargeurPanel=PanelDessin.WithHighPanel(1);
   ValeurSliderH=get(PanelDessin.HSliderHor,'value');
   PositionSliderH=get(PanelDessin.HSliderHor,'position');
   LargeurSlider=PositionSliderH(4);
   % NewXlim=[ValeurSliderH, ValeurSliderH+LargeurPanel];
   %set(PanelDessin.HaxeDessin,'Xlim',NewXlim);
   
   % midification de la position du Panel dessin pour deplacer le dessin et
   % les UIControl
   OldPosPanelDessin=get(PanelDessin.HDessin,'Position');
   Xdecal=-1*ValeurSliderH/PanelDessin.WithHighPanel(1);
   
   if PanelDessin.WithHighDessin(2)>PanelDessin.WithHighPanel(2)
       % il y a un ascensuer vertical
       LargeurPanelDessin=(1-LargeurSlider/PanelDessin.WithHighDessin(1))-Xdecal;
       NewXlim=[ValeurSliderH, ValeurSliderH+LargeurPanel-LargeurSlider];
   else
       % Pas d' ascensuer vertical
       LargeurPanelDessin=1-Xdecal;
       NewXlim=[ValeurSliderH, ValeurSliderH+LargeurPanel];
   end
   
   
   NewPosPanelDessin=[Xdecal OldPosPanelDessin(2)  LargeurPanelDessin OldPosPanelDessin(4)]    % la valeur 0.97 est ) corriger pour pouvoir changer la largeur de l'ascensceur
   %                                                                                    % et car il peut ne pas y avoir d'ascenceur vertical
   set(PanelDessin.HDessin,'Position',NewPosPanelDessin)
   
   
   set(PanelDessin.HaxeDessin,'Xlim',NewXlim);
   
end